Bug 20017 - use Modern::Perl in Tools perl scripts
Summary: use Modern::Perl in Tools perl scripts
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: jwayway
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks: 2505 20305
  Show dependency treegraph
 
Reported: 2018-01-17 20:02 UTC by Aleisha Amohia
Modified: 2018-02-27 16:36 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug-29917: use Modern::Perl in Tools perl scripts (9.14 KB, patch)
2018-01-18 02:11 UTC, jwayway
Details | Diff | Splinter Review
Bug-29917: use Modern::Perl in Tools perl scripts (9.19 KB, patch)
2018-01-24 18:50 UTC, Jon Knight
Details | Diff | Splinter Review
Bug 20017: use Modern::Perl in Tools perl scripts (9.29 KB, patch)
2018-02-04 13:14 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2018-01-17 20:02:47 UTC
use Modern::Perl should be used instead of use strict; use warnings;

Relevant in:
background-job-progress.pl
batchMod.pl
copy-holidays.pl
exceptionHolidays.pl
holidays.pl
import_borrowers.pl
koha-news.pl
letter.pl
manage-marc-import.pl
newHolidays.pl
overduerules.pl
quotes-upload.pl
quotes.pl
quotes/quotes-upload_ajax.pl
quotes/quotes_ajax.pl
scheduler.pl
stage-marc-import.pl
upload-cover-image.pl
Comment 1 jwayway 2018-01-18 02:11:18 UTC
Created attachment 70664 [details] [review]
Bug-29917: use Modern::Perl in Tools perl scripts

Test plan:
Check that the following files don't contain use strict; use warnings;
and have use Modern::Perl instead.
background-job-progress.pl
batchMod.pl
copy-holidays.pl
exceptionHolidays.pl
holidays.pl
import_borrowers.pl
koha-news.pl
letter.pl
manage-marc-import.pl
newHolidays.pl
overduerules.pl
quotes-upload.pl
quotes.pl
quotes/quotes-upload_ajax.pl
quotes/quotes_ajax.pl
scheduler.pl
stage-marc-import.pl
upload-cover-image.pl

Also the credits have been added to newHolidays.pl
Comment 2 Jon Knight 2018-01-24 18:50:31 UTC
Created attachment 70900 [details] [review]
Bug-29917: use Modern::Perl in Tools perl scripts

Test plan:
Check that the following files don't contain use strict; use warnings;
and have use Modern::Perl instead.
background-job-progress.pl
batchMod.pl
copy-holidays.pl
exceptionHolidays.pl
holidays.pl
import_borrowers.pl
koha-news.pl
letter.pl
manage-marc-import.pl
newHolidays.pl
overduerules.pl
quotes-upload.pl
quotes.pl
quotes/quotes-upload_ajax.pl
quotes/quotes_ajax.pl
scheduler.pl
stage-marc-import.pl
upload-cover-image.pl

Also the credits have been added to newHolidays.pl

https://bugs.koha-community.org/show_bug.cgi?id=20017
Signed-off-by: Jon Knight <J.P.Knight@lboro.ac.uk>
Comment 3 Katrin Fischer 2018-02-04 13:14:46 UTC
Created attachment 71182 [details] [review]
Bug 20017: use Modern::Perl in Tools perl scripts

Test plan:
Check that the following files don't contain use strict; use warnings;
and have use Modern::Perl instead.
background-job-progress.pl
batchMod.pl
copy-holidays.pl
exceptionHolidays.pl
holidays.pl
import_borrowers.pl
koha-news.pl
letter.pl
manage-marc-import.pl
newHolidays.pl
overduerules.pl
quotes-upload.pl
quotes.pl
quotes/quotes-upload_ajax.pl
quotes/quotes_ajax.pl
scheduler.pl
stage-marc-import.pl
upload-cover-image.pl

Also the credits have been added to newHolidays.pl

https://bugs.koha-community.org/show_bug.cgi?id=20017
Signed-off-by: Jon Knight <J.P.Knight@lboro.ac.uk>
Comment 4 Katrin Fischer 2018-02-04 13:15:28 UTC
Good job! Please always be careful to put the right bug number in the commit message as this will be used to generate the release notes. Fixed it here.
Comment 5 Jonathan Druart 2018-02-05 12:37:53 UTC
(In reply to Katrin Fischer from comment #3)
> Also the credits have been added to newHolidays.pl

But not the good one. I am going to amend the patch to remove this part.
Comment 6 Jonathan Druart 2018-02-05 13:00:05 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 7 Nick Clemens 2018-02-16 01:00:58 UTC
Awesome work all! Enhancement not backported to stable.